Bug 1428508 - When invoking a start or stop action on a instance via API, it does not reflected in CloudForms 4 UI however it performed desired action on cloud side.
Summary: When invoking a start or stop action on a instance via API, it does not refle...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Tim Wade
QA Contact: Martin Kourim
URL:
Whiteboard: rest:power
Depends On: 1290003
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 17:34 UTC by Satoe Imaishi
Modified: 2019-11-14 09:06 UTC (History)
8 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1290003
Environment:
Last Closed: 2017-04-12 14:41:13 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2093181 0 None None None 2017-03-02 17:35:07 UTC
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-09 19:10:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a963cf09d3e73725e2b14da2b76c21902b927809

commit a963cf09d3e73725e2b14da2b76c21902b927809
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Mar 1 14:17:16 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 9 14:08:28 2017 -0500

    Merge pull request #14122 from imtayadeway/bug/openstack-start-power-state
    
    Set the raw power state when starting Openstack instance
    (cherry picked from commit 62f464b3b48f2138852fdfefa0a9c6ce51c63f3e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428508

 .../openstack/cloud_manager/vm/operations/power.rb         |  1 +
 .../manageiq/providers/openstack/cloud_manager/vm_spec.rb  | 14 ++++++++++++++
 2 files changed, 15 insertions(+)

Comment 3 Martin Kourim 2017-03-24 15:47:04 UTC
Tested on AWS EC2 provider that the power state is shown in UI without the need to do 'Refresh Relationships and Power States' when the action was invoked via REST API.

Comment 5 errata-xmlrpc 2017-04-12 14:41:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.